<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 ******************************/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}
// ----[ Check log-in ]-------------------------------------
$roster_login = new RosterLogin($script_filename);
 
// Disallow viewing of the page
if( !$roster_login->getAuthorized() )
{
	include_once (ROSTER_BASE.'roster_header.tpl');
	include_once (ROSTER_LIB.'menu.php');
 
	print	$roster_login->getMessage().$roster_login->getLoginForm();
 
	include_once (ROSTER_BASE.'roster_footer.tpl');
 
	return;
}
else
{



if ($roster_conf['sqldebug'])
{
	print "<!-- $query -->\n";
}

$header_title = $wordings[$roster_conf['roster_lang']]['witchHunt']['title'];

//select all main chars from ROSTER_PLAYERSTABLE and ROSTER_MEMBERSTABLE (in this case guildrank<=4 equals main chars you might have to change this)
$resultChar = $wowdb->query("SELECT p.dateupdatedutc, p.name, m.name, m.class, m.guild_rank FROM `".ROSTER_PLAYERSTABLE."` as p, `".ROSTER_MEMBERSTABLE."` as m where m.guild_rank<= ".$addon_conf['witchHunt']['gRank']." AND m.name=p.name ORDER BY p.dateupdatedutc Desc  ") or die(mysql_error());
// selects all main chars from ROSTER_MEMBERSTABLE which are not in ROSTER_PLAYERSTABLE (hence not uploaded their profile)...(in this case guildrank<=4 equals main chars you might have to change this)
$resultChar2 = $wowdb->query("SELECT name, class FROM `".ROSTER_MEMBERSTABLE."` WHERE `name` not in ( select `name` from `".ROSTER_PLAYERSTABLE."` ) AND `guild_rank` <= ".$addon_conf['witchHunt']['gRank']." ORDER BY name asc") or die(mysql_error());
$total1= $wowdb->num_rows($resultChar);
$total2= $wowdb->num_rows($resultChar2);
$total= $total1+$total2;
$stat1 = $total1-$slackerCount;
$stat2 = round(((($total1-$slackerCount)/$total)*100),2);
$stat3 = round((($slackerCount/$total)*100),2);
$stat4 = round((($total2/$total)*100),2);
$stats = $wordings[$roster_conf['roster_lang']]['witchHunt']['updStat1'].'<strong>'.$addon_conf['witchHunt']['alarmDays'].'</strong>'.$wordings[$roster_conf['roster_lang']]['witchHunt']['updStat2'].'<strong>'.$stat1.'</strong> (<strong>'.$stat2.'%</strong>)<br />';
$stats .= $wordings[$roster_conf['roster_lang']]['witchHunt']['updStat3'].'<strong>'.$addon_conf['witchHunt']['alarmDays'].'</strong>'.$wordings[$roster_conf['roster_lang']]['witchHunt']['updStat2'].'<strong>'.$slackerCount.'</strong> (<strong>'.$stat3.'%</strong>)<br />';
$stats .= $wordings[$roster_conf['roster_lang']]['witchHunt']['updStat4'].'<strong>'.$total2.'</strong> (<strong>'.$stat4.'%</strong>)<br />';
$stats .= $wordings[$roster_conf['roster_lang']]['witchHunt']['updStat5'].'<strong>'.$total.'</strong><br />';
echo '<br />'.border('syellow','start',$wordings[$roster_conf['roster_lang']]['witchHunt']['title']);
echo '<table border="0" width="100%" cellpadding="3" cellspacing="0"><tr><td>';
echo $wordings[$roster_conf['roster_lang']]['witchHunt']['descText'];
echo $wordings[$roster_conf['roster_lang']]['witchHunt']['AlarmTime']." <strong>".$addon_conf['witchHunt']['alarmDays']."</strong> ".$wordings[$roster_conf['roster_lang']]['witchHunt']['Alarmdays']."<br />";
echo $stats;
echo '</td></tr></table>';
echo border('syellow','end').'<br />';
$table1 =border('syellow','start','<div class="membersGroup">'.$wordings[$roster_conf['roster_lang']]['witchHunt']['updatedTitle'].'</div>');
$table1 .='<table border="0" width="100%" cellpadding="2" cellspacing="0">
<tr>
	<th align="left" class="membersHeader">'.$wordings[$roster_conf['roster_lang']]['witchHunt']['numberSymbol'].'</th>
	<th align="left" class="membersHeader">'.$wordings[$roster_conf['roster_lang']]['name'].'</th>
	<th align="right" class="membersHeader">'.$wordings[$roster_conf['roster_lang']]['lastupdate'].'</th>
	<th align="right" class="membersHeader">'.$wordings[$roster_conf['roster_lang']]['witchHunt']['slacker'].'</th>
</tr>';

	$stripe = 0;
	$stripe_counter =0;
	$slackerCount=0;
	while( $results = $wowdb->fetch_assoc($resultChar) )
	{
		++$stripe;
		$stripe_counter = ( ( $striping_counter++ % 2 ) + 1 );
		$stripe_class = 'membersRow'.$stripe_counter;

		$dat1 = explode(' ',$results['dateupdatedutc']);
		$dat2 = explode('/',$dat1[0]);
		$newDate= $dat2[1].'/'.$dat2[0].'/'.$dat2[2].' '.$dat1[1];
		$timeN =  explode(':',$dat1[1]);
		$u_time = mktime($timeN[0], $timeN[1], $timeN[2], $dat2[0], $dat2[1], $dat2[2]);
		$nowTime =mktime();
		if($u_time < ($nowTime-$addon_conf['witchHunt']['alarmStamp'])){ 
			$slacker= "<strong>".$wordings[$roster_conf['roster_lang']]['witchHunt']['slackAlarm']."</strong>";
			$slackerCount++;
		}else {$slacker="";}
		
			foreach ($roster_conf['multilanguages'] as $language)
			{
				$icon_name = isset($wordings[$language]['class_iconArray'][$results['class']]) ? $wordings[$language]['class_iconArray'][$results['class']] : '';
				if( strlen($icon_name) > 0 ) break;
			}
			$icon_name = 'Interface/Icons/'.$icon_name;
			$icon_value = '<img class="membersRowimg" width="'.$roster_conf['index_iconsize'].'" height="'.$roster_conf['index_iconsize'].'" src="'.$roster_conf['interface_url'].$icon_name.'.'.$roster_conf['img_suffix'].'" alt="" />&nbsp;';
			foreach( $roster_conf['multilanguages'] as $language )
			{
				$class_color = array_search($results['class'],$wordings[$language]);
				if( strlen($class_color) > 0 )
				{
					$class_color = $wordings['enUS'][$class_color];
					break;
				}
			}

		
		
		$table1 .='<tr class="'.$stripe_class.'"><td align="right">'.$stripe.'.</td><td align="left">'.$icon_value.'<a href="/roster/char.php?name='.$results['name'].'"><span class="class'.$class_color.'txt">'.$results['name'].'</span></a></td><td align="right">'.$newDate.'</td><td align="center">'.$slacker.'</td></tr>';
	}

$table1 .='</table>';
$table1 .= border('syellow','end').'<br />';
$table2 = border('syellow','start','<div class="membersGroup">'.$wordings[$roster_conf['roster_lang']]['witchHunt']['nouploadTitle'].'</div>');
$table2 .= '<table border="0" width="100%" cellpadding="2" cellspacing="0">   
<tr>      
	<th align="left" class="membersHeader">'.$wordings[$roster_conf['roster_lang']]['witchHunt']['numberSymbol'].'</th>
	<th align="left" width="100%" class="membersHeader">'.$wordings[$roster_conf['roster_lang']]['name'].'</th>
</tr>';      

	$stripe = 0;
	$stripe_counter =0;
	while( $results = $wowdb->fetch_assoc($resultChar2) )
	{
		++$stripe;
		$stripe_counter = ( ( $striping_counter++ % 2 ) + 1 );
		$stripe_class = 'membersRow'.$stripe_counter;
			foreach ($roster_conf['multilanguages'] as $language)
			{
				$icon_name = isset($wordings[$language]['class_iconArray'][$results['class']]) ? $wordings[$language]['class_iconArray'][$results['class']] : '';
				if( strlen($icon_name) > 0 ) break;
			}
			$icon_name = 'Interface/Icons/'.$icon_name;
			$icon_value = '<img class="membersRowimg" width="'.$roster_conf['index_iconsize'].'" height="'.$roster_conf['index_iconsize'].'" src="'.$roster_conf['interface_url'].$icon_name.'.'.$roster_conf['img_suffix'].'" alt="" />&nbsp;';
			foreach( $roster_conf['multilanguages'] as $language )
			{
				$class_color = array_search($results['class'],$wordings[$language]);
				if( strlen($class_color) > 0 )
				{
					$class_color = $wordings['enUS'][$class_color];
					break;
				}
			}
		$table2 .= '<tr class="'.$stripe_class.'"><td align="right">'.$stripe.'.</td><td align="left">'.$icon_value.'<span class="class'.$class_color.'txt">'.$results['name'].'</span></td></tr>';
	}

$table2 .= '</table>';
$table2 .= border('syellow','end');
}

echo $table1;
echo $table2;
// ----[ End Check log-in ]--------------------------------- 
?>
