<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 ******************************/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

// enUS
$wordings['enUS']['witchHunt']['title'] = 'Witch Hunt';
$wordings['enUS']['witchHunt']['descText'] = 'This shows last time members uploaded their character profile(s) to the website.<br>List shows only main chars.<br>Players listed in 2nd table didnt update at all yet.<br>Players marked with Slack Alarm didnt update since the set alarm time.<br><br>';
$wordings['enUS']['witchHunt']['slacker'] = 'Slacker?';
$wordings['enUS']['witchHunt']['updatedTitle'] = 'Who uploaded when';
$wordings['enUS']['witchHunt']['nouploadTitle'] = 'Who never uploaded';
$wordings['enUS']['witchHunt']['numberSymbol'] = '#';
$wordings['enUS']['witchHunt']['slackAlarm'] = 'soft Slack Alarm!';
$wordings['enUS']['witchHunt']['AlarmTime'] = 'Alarm time:';
$wordings['enUS']['witchHunt']['Alarmdays'] = 'days';
$wordings['enUS']['witchHunt']['updStat1'] = 'Updated in past ';
$wordings['enUS']['witchHunt']['updStat2'] = ' days: ';
$wordings['enUS']['witchHunt']['updStat3'] = 'Updated over ';
$wordings['enUS']['witchHunt']['updStat4'] = 'Never updated: ';
$wordings['enUS']['witchHunt']['updStat5'] = 'Total Members: ';

// deDE
$wordings['deDE']['witchHunt']['title'] = 'Hexenjagd';
$wordings['deDE']['witchHunt']['descText'] = 'Zeigt wann ein Gildenmitglied zuletzt seinen Charakter aktualisiert hat.<br>Die Liste zeigt nur Hauptcharakter..<br>Mitglieder in der 2ten Tabelle haben noch nie ihren Charakter aktualisiert.<br>Mitglieder markiert mit "Alarm!" haben seit der unter Alarm zeit angegeben zeitspanne ihren Charakter nicht mehr aktualisiert.<br><br>';
$wordings['deDE']['witchHunt']['slacker'] = 'Fauler Sack?';
$wordings['deDE']['witchHunt']['updatedTitle'] = 'Wer aktualisierte wann';
$wordings['deDE']['witchHunt']['nouploadTitle'] = 'Wer hat noch nie aktualisiert';
$wordings['deDE']['witchHunt']['numberSymbol'] = '#';
$wordings['deDE']['witchHunt']['slackAlarm'] = 'Alarm!';
$wordings['deDE']['witchHunt']['AlarmTime'] = 'Alarm Zeit:';
$wordings['deDE']['witchHunt']['Alarmdays'] = 'Tage';
$wordings['deDE']['witchHunt']['updStat1'] = 'Aktualisiert innerhalb von ';
$wordings['deDE']['witchHunt']['updStat2'] = ' Tagen: ';
$wordings['deDE']['witchHunt']['updStat3'] = 'Aktualisiert vor mehr als ';
$wordings['deDE']['witchHunt']['updStat4'] = 'Niemals aktualisiert: ';
$wordings['deDE']['witchHunt']['updStat5'] = 'Mitglieder: ';

// esES
$wordings['esES']['witchHunt']['title'] = 'Caza de Brujas';
$wordings['esES']['witchHunt']['descText'] = 'Esto muestra la ultima vez que un miembro ha subido el perfil de su personaje al sitio web.<br>La lista solo muestra los personajes principales<br>Los miembros listados en la segunda tabla nunca han subido el perfil de su personaje.<br>Los miembros marcados con "Alarma!" no han actualizado el perfirl de su personaje desde el margen de la alarma indicado abajo.<br><br>';
$wordings['esES']['witchHunt']['slacker'] = 'Vago?';
$wordings['esES']['witchHunt']['updatedTitle'] = 'Quien ha actualizado cuando';
$wordings['esES']['witchHunt']['nouploadTitle'] = 'Quien nunca ha actualizado';
$wordings['esES']['witchHunt']['numberSymbol'] = '#';
$wordings['esES']['witchHunt']['slackAlarm'] = 'Alarma!';
$wordings['esES']['witchHunt']['AlarmTime'] = 'Tiempo de alarma:';
$wordings['esES']['witchHunt']['Alarmdays'] = 'dias';
$wordings['esES']['witchHunt']['updStat1'] = 'Actualizado en los ultimos ';
$wordings['esES']['witchHunt']['updStat2'] = ' dias: ';
$wordings['esES']['witchHunt']['updStat3'] = 'Actualizado hace mas de ';
$wordings['esES']['witchHunt']['updStat4'] = 'Nunca actualizado: ';
$wordings['esES']['witchHunt']['updStat5'] = 'Miembros: ';


// frFR
$wordings['frFR']['witchHunt']['title'] = 'Chasse au Roster';
$wordings['frFR']['witchHunt']['descText'] = 'Montre les dates de dernieres mises a jour des roster.<br>Ne monntre que les personnages principaux.<br>Les personnages de la seconde liste n\'ont jamais mis a jour leur profil.<br>Les joueurs marques par l\'alarme n\'ont pas mis a jour leur roster recemment.<br><br>';
$wordings['frFR']['witchHunt']['slacker'] = 'MaJ?';
$wordings['frFR']['witchHunt']['updatedTitle'] = 'Ont mis a jour';
$wordings['frFR']['witchHunt']['nouploadTitle'] = 'N\'ont jamais mis a jour';
$wordings['frFR']['witchHunt']['numberSymbol'] = '#';
$wordings['frFR']['witchHunt']['slackAlarm'] = 'Alarme!';
$wordings['frFR']['witchHunt']['AlarmTime'] = 'Temps pour l\'alarme:';
$wordings['frFR']['witchHunt']['Alarmdays'] = 'jours';
$wordings['frFR']['witchHunt']['updStat1'] = 'Mis a jour depuis de ';
$wordings['frFR']['witchHunt']['updStat2'] = ' jours: ';
$wordings['frFR']['witchHunt']['updStat3'] = 'N\'a pas et mis a jour depuis plus de ';
$wordings['frFR']['witchHunt']['updStat4'] = 'Jamais mis a jour: ';
$wordings['frFR']['witchHunt']['updStat5'] = 'Nombre total de membre: ';
?>
